<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="faultinjection" nsURI="http://org.eclipse.papyrus.robotics/faultinjection"
    nsPrefix="faultinjection">
  <eClassifiers xsi:type="ecore:EClass" name="FaultList">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="description" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="simulationTime" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//Float"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="elements" upperBound="-1"
        eType="#//FIElement" containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Fault" abstract="true" eSuperTypes="#//FIElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="trigger" ordered="false"
        unique="false" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//Float"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="duration" ordered="false"
        unique="false" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//Float"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Readout" eSuperTypes="#//FIElement"/>
  <eClassifiers xsi:type="ecore:EClass" name="StuckAt0Fault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="StuckAtLastValueFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="StuckAtValueFault" eSuperTypes="#//Fault">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="value" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//Float"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="InvertedFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="TooHighFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="TooLowFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="RampUpFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="RampDownFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="BitFlipFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="OscillationFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="RandomFault" eSuperTypes="#//Fault"/>
  <eClassifiers xsi:type="ecore:EClass" name="DelayFault" eSuperTypes="#//Fault">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="delay" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//Long"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="FIElement" abstract="true">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" eType="ecore:EDataType http://www.eclipse.org/emf/2003/XMLType#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="component" eType="ecore:EClass http://www.eclipse.org/emf/2002/Ecore#//EObject"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="port" eType="ecore:EClass http://www.eclipse.org/emf/2002/Ecore#//EObject"/>
  </eClassifiers>
</ecore:EPackage>
